local MPS_master = 1
local MPS_Que = {}
local MPS_SLAVE_PRIO = 2



-- [2] Got pinged , inform master of presence
function MPS:MPSProfiles_InformMaster(_, masters_call,master_action,master_profile_name)
print("MPS: I am slave: "..masters_call,master_action,master_profile_name)
	
	MPS:UnregisterMessage("ProfilesHubPing_MASTER")
	MPS:RegisterMessage("MPSProfiles_slave")
	MPS:SendMessage(masters_call,"MPSProfiles_slave",MPS_SLAVE_PRIO,master_action,master_profile_name)
end

-- [5] Perform action of master
function MPS:MPSProfiles_slave(_,master_action,master_profile_name)
	MPS_master = 0 -- Block outgoing messages
	
	MPS:RegisterMessage("ProfilesHubPing_MASTER","MPSProfiles_InformMaster")

	print("MPS: Slave-work: "..MPS_master,master_action,master_profile_name)
	
	if master_action == "save" then
		--MPS:SaveMacroProfile(master_profile_name)
		print("MPS: Slave task done. save")
		MPS:SendMessage("RemoveSlave",master_action, master_profile_name, MPS_SLAVE_PRIO)
		
	end
	
	if master_action == "load" then
		--MPS:LoadMacroProfile(master_profile_name)
		print("MPS: Slave task done. load")
		MPS:SendMessage("RemoveSlave",master_action, master_profile_name, MPS_SLAVE_PRIO)
	end
	
	ABS:UnregisterMessage("ABSProfiles_slave")
	MPS:RegisterMessage("ProfilesHubPing_MASTER","MPSProfiles_InformMaster")

	
end

-- [1] Listen for MASTER
MPS:RegisterMessage("ProfilesHubPing_MASTER","MPSProfiles_InformMaster")
